/**
 * XULSchoolChrome namespace.
 */
if ("undefined" == typeof(XULSchoolChrome)) {
  var XULSchoolChrome = {};
};

/**
 * Controls the browser overlay for the Hello World extension.
 */
XULSchoolChrome.BrowserOverlay = {
  /**
   * Says 'Hello' to the user.
   */
  sayHello : function(aEvent) {
    let messageCounter =
      Cc["@xulschool.com/helloworld/counter;1"].getService(Ci.xsIHWCounter);
    let stringBundle = document.getElementById("xulschoolhello-string-bundle");
    let messageCount;
    let message;

    messageCounter.increment();
    messageCount = messageCounter.count;
    message =
      stringBundle.getFormattedString(
        "xulschoolhello.greeting.label", [ messageCount ]);

    window.alert(message);
  }
};
